Public Member Functions | Protected Member Functions | Protected Attributes

# SignalInstruction Class Reference
[Programmable Signals.]

Signal instruction base class. More...

`#include <programmable_signals.h>`

Inheritance diagram for SignalInstruction:

## Public Member Functions
SignalOpcode | Opcode () const
SignalInstruction * | Previous () const
int | Id () const
virtual void | Insert (SignalInstruction *before_insn)
virtual void | Evaluate (SignalVM &vm)=0
virtual void | Remove ()=0
SignalInstruction *& | GetPrevHandle ()
void | SetPrevious (SignalInstruction *prev)
virtual void | SetNext (SignalInstruction *next_insn)=0
## Protected Member Functions
| SignalInstruction (SignalProgram *prog, SignalOpcode op)
| Instructions.
## Protected Attributes
const SignalOpcode | opcode
SignalInstruction * | previous
SignalProgram * | program

## Detailed Description

Signal instruction base class.

All instructions must derive from this.

Definition at line 67 of file programmable_signals.h.

## Constructor & Destructor Documentation

SignalInstruction::SignalInstruction | ( | SignalProgram * | prog,
|  | SignalOpcode | op |
| ) |  |  | `[protected]`

Instructions.

Definition at line 178 of file programmable_signals.cpp.

References SmallVector< T, S >::Append().

The documentation for this class was generated from the following files:

- src/programmable_signals.h
- src/programmable_signals.cpp